#include "ros/ros.h"
#include "custom_bridge_msgs/CustomServiceOne.h"

class DummyCustomServiceOne
{
public:
    DummyCustomServiceOne()
    {
        service_ = nh_.advertiseService("custom_service_topic", &DummyCustomServiceOne::handle_service, this);
    }

private:
    bool handle_service(custom_bridge_msgs::CustomServiceOne::Request &request, custom_bridge_msgs::CustomServiceOne::Response &response)
    {
        ROS_INFO_STREAM("Received request: " << request.start_pose.pose.position.x);
        response.start = true;
        // response.message = std::to_string(request.spose); // Commented out as in the original code
        return true;
    }

    ros::NodeHandle nh_;
    ros::ServiceServer service_;
};

int main(int argc, char **argv)
{
    ros::init(argc, argv, "dummy_custom_service_one");
    DummyCustomServiceOne dummy_custom_service_one;
    ros::spin();
    return 0;
}

