
if [ "$1" = "--help" ] || [ "$1" == "-h" ]; then
    echo "custom bridge jammy help menu - build images / run containers"
    echo "      -b          (default)  build custom_bridge_jammy using ros2_from_src"
    echo "      -r                      start container from default image"
    echo ""
    echo "      --help                 print help menu"
    exit 0
fi

OS="jammy"
image="custom_bridge_example_$OS"

if [ "$1" == "-b" ]; then
    echo "default build"
    image+="latest"
    docker build -f custom_bridge.Dockerfile -t $image .
    exit 0


elif [ "$1" == "-r" ]; then
    image+="latest"


else
    echo "no options selected"
    exit 0
fi

name="custom_bridge_example_$OS""_tmp"


docker run \
    -it \
    --rm \
    --user "0" \
    -v /tmp/.X11-unix:/tmp/.X11-unix:rw \
    --env DISPLAY=$DISPLAY \
    --env NVIDIA_DRIVER_CAPABILITIES=compute,utility,graphics \
    --env NVIDIA_VISIBLE_DEVICES=all \
    --name $name \
    $image \
    "/bin/bash"


